Skip to main content
POST
Cancel Job

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

job_id
string
required

Cookies

stytch_session
string | null

Response

Successful Response

Response model for a single Job.

failed_items
integer
required

Items that failed

job_id
string
required

Unique job identifier

job_type
string
required

Type of job (enrichment or crawl)

processed_items
integer
required

Items successfully processed

progress_percentage
number
required

Progress percentage (0-100)

status
string
required

Current job status

success_rate
number
required

Success rate percentage (0-100)

total_items
integer
required

Total items to process

archived_at
string | null

When the job was archived (ISO 8601; null = active)

completed_at
string | null

Job completion timestamp

created_at
string | null

Job creation timestamp

duration_seconds
number | null

Job duration in seconds

error_message
string | null

DEPRECATED: Use 'errors' array. Legacy error message

errors
JobErrorResponse · object[]

Array of errors that occurred

metadata
Metadata · object | null

Job metadata

needs_review_items
integer
default:0

Items escalated to the Agent Inbox awaiting human review

started_at
string | null

Job start timestamp

triggered_by
string | null

User who triggered the job

warned_items
integer
default:0

Items processed with warnings (e.g., expected target gaps)

warnings
JobErrorResponse · object[]

Array of non-blocking warnings (same shape as errors)